Bug 895123 - [abrt]: BUG: unable to handle kernel NULL pointer dereference at 0000000000000060
Summary: [abrt]: BUG: unable to handle kernel NULL pointer dereference at 000000000000...
Keywords:
Status: CLOSED DUPLICATE of bug 903492
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cc382b8c5156b7804378091ea33...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-14 16:19 UTC by Satish Balay
Modified: 2013-02-22 20:57 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-22 20:57:37 UTC
Type: ---


Attachments (Terms of Use)

Description Satish Balay 2013-01-14 16:19:12 UTC
Description of problem:
machine crashed when attempting to suspend.

this is F18 with rawhide-nodebug kernel with the following
in /etc/modprobe.d/i915.conf [to conteract overheating machine]

options i915 modeset=1
options i915 i915_enable_rc6=7
options i915 i915_enable_fbc=1
options i915 lvds_downclock=1


I guess one of these options is a cause [so will remove and recheck overheating issue]

Additional info:
BUG: unable to handle kernel NULL pointer dereference at 0000000000000060
IP: [<ffffffffa00f217e>] intel_choose_pipe_bpp_dither.isra.20+0x18e/0x3b0 [i915]
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: joydev hid_lenovo_tpkbd fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat xt_CHECKSUM iptable_mangle bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 ip6t_REJECT mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_conntrack nf_conntrack ip6_tables ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm tpm_tis arc4 tpm iwldvm mac80211 tpm_bios snd_page_alloc thinkpad_acpi coretemp iTCO_wdt iTCO_vendor_support lpc_ich snd_timer snd soundcore mei i2c_i801 iwlwifi mfd_core microcode cfg80211 rfkill e1000e vhost_net tun macvtap macvlan kvm_intel kvm binfmt_misc nfsd auth_rpcgss nfs_acl lockd sunrpc uinput crc32c_intel i915 ghash_clmulni_intel i2c_algo_bit sdhci_pci drm_kms_helper sdhci drm mmc_core i2c_core wmi video
CPU 0 
Pid: 26620, comm: kworker/0:2 Not tainted 3.8.0-0.rc3.git0.3.fc19.x86_64 #1 LENOVO 417152U/417152U
RIP: 0010:[<ffffffffa00f217e>]  [<ffffffffa00f217e>] intel_choose_pipe_bpp_dither.isra.20+0x18e/0x3b0 [i915]
RSP: 0018:ffff8801f873f7e8  EFLAGS: 00010246
RAX: ffff88020dcea420 RBX: ffff88020dcea418 RCX: ffffffffa0137f78
RDX: 0000000000000060 RSI: ffffffffa013e915 RDI: 0000000000000004
RBP: ffff8801f873f848 R08: 0000000000000006 R09: 0000000000000006
R10: ffff88020dcea000 R11: ffff8801ed6d89c8 R12: 0000000000000006
R13: ffff88020dcea408 R14: ffff88020dcea420 R15: ffff88020df70000
FS:  0000000000000000(0000) GS:ffff88021e200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000060 CR3: 000000020efaf000 CR4: 00000000000407f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process kworker/0:2 (pid: 26620, threadinfo ffff8801f873e000, task ffff8802125aaec0)
Stack:
 ffffffffffffffff ffff8801ed6d89c8 ffff88020dcea000 ffff88020da3c000
 ffff88020df706a0 0000000000000060 ffff8801f873f838 ffff88020df70000
 ffff88020dcea000 ffff88020dcea418 0000000000000000 0000000000000001
Call Trace:
 [<ffffffffa00f8e5a>] ironlake_crtc_mode_set+0x15a/0x900 [i915]
 [<ffffffffa00fd55b>] intel_set_mode+0x63b/0xa30 [i915]
 [<ffffffff813674f5>] ? acpi_ds_create_operands+0x6c/0xc4
 [<ffffffffa0100169>] intel_modeset_setup_hw_state+0x5b9/0x990 [i915]
 [<ffffffffa0102601>] intel_lid_notify+0xb1/0xd0 [i915]
 [<ffffffff81650ded>] notifier_call_chain+0x4d/0x70
 [<ffffffff81088308>] __blocking_notifier_call_chain+0x58/0x80
 [<ffffffff81088346>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff81381a7e>] acpi_lid_send_state+0x81/0xb2
 [<ffffffff81381f06>] acpi_button_notify+0x3d/0xaa
 [<ffffffff8135c7bd>] acpi_device_notify+0x19/0x1b
 [<ffffffff8136a4cd>] acpi_ev_notify_dispatch+0x41/0x5c
 [<ffffffff81358e75>] acpi_os_execute_deferred+0x25/0x32
 [<ffffffff8107a3e7>] process_one_work+0x147/0x490
 [<ffffffff81358e50>] ? acpi_os_wait_events_complete+0x23/0x23
 [<ffffffff8107cc7e>] worker_thread+0x15e/0x450
 [<ffffffff8107cb20>] ? busy_worker_rebind_fn+0x110/0x110
 [<ffffffff81081d40>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? ftrace_define_fields_xen_mc_entry+0x30/0xf0
 [<ffffffff81081c80>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff8165532c>] ret_from_fork+0x7c/0xb0
 [<ffffffff81081c80>] ? kthread_create_on_node+0x120/0x120
Code: 00 00 00 4c 8b 55 b0 4c 8b 5d a8 49 39 c6 48 8d 58 f8 0f 85 f6 fe ff ff 0f 1f 44 00 00 41 f6 03 10 0f 85 36 01 00 00 48 8b 55 c8 <8b> 02 83 e8 08 83 f8 28 0f 86 8c 00 00 00 31 c0 48 c7 c1 18 80 
RIP  [<ffffffffa00f217e>] intel_choose_pipe_bpp_dither.isra.20+0x18e/0x3b0 [i915]
 RSP <ffff8801f873f7e8>

Comment 1 Satish Balay 2013-01-15 17:33:34 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=859597

overheating issue appears to be fixed with this rawhide nodebug kernel [without requiring options to i915 module].

And the machine hasn't crashed in the past 24 hours.

kernel-3.8.0-0.rc3.git0.3.fc19.x86_64
kernel-3.8.0-0.rc3.git1.2.fc19.x86_64

Comment 2 Christopher Beland 2013-02-22 20:57:37 UTC

*** This bug has been marked as a duplicate of bug 903492 ***


Note You need to log in before you can comment on or make changes to this bug.